#!/usr/bin/perl
print "Content-type: text/html\n\n";
print <<EndOfHTML
<html>
<script language="Javascript">
var charts = [
    ['', "Pie Chart Samples"],
    ['simplepie.pl', "Simple Pie Chart", 1],
    ['threedpie.pl', "3D Pie Chart", 1],
    ['multidepthpie.pl', "Multi-Depth Pie Chart", 1],
    ['sidelabelpie.pl', "Side Label Layout", 1],
    ['circlelabelpie.pl', "Circular Label Layout", 2],
    ['legendpie.pl', "Pie Chart with Legend", 1],
    ['smallsectorpie.pl', "Pie with Small Sectors", 1],
    ['iconpie.pl', "Icon Pie Chart", 1],
    ['iconpie2.pl', "Icon Pie Chart (2)", 1],
    ['fontpie.pl', "Text Style and Colors", 1],
    ['goldpie.pl', "Metallic Background Coloring", 1],
    ['colorpie.pl', "Coloring and Wallpaper", 4],
    ['borderpie.pl', "Sectors with Borders", 1],
    ['threedanglepie.pl', "3D Angle", 7],
    ['threeddepthpie.pl', "3D Depth", 5],
    ['shadowpie.pl', "3D Shadow Mode", 4],
    ['anglepie.pl', "Start Angle and Direction", 2],
    ['', ""],
    ['', "Bar Chart Samples"],
    ['simplebar.pl', "Simple Bar Chart", 1],
    ['threedbar.pl', "3D Bar Chart", 1],
    ['colorbar.pl', "Multi-Color Bar Chart", 1],
    ['stackedbar.pl', "Stacked Bar Chart", 1],
    ['percentbar.pl', "Percentage Bar Chart", 1],
    ['multibar.pl', "Multi-Bar Chart", 1],
    ['multistackbar.pl', "Multi-Stacked Bar Chart", 1],
    ['depthbar.pl', "Depth Bar Chart", 1],
    ['posnegbar.pl', "Positive Negative Bars", 1],
    ['hbar.pl', "Borderless Bar Chart", 1],
    ['dualhbar.pl', "Dual Horizontal Bar Charts", 1],
    ['pareto.pl', "Pareto Chart", 1],
    ['gapbar.pl', "Bar Gap", 6],
    ['', ""],
    ['', "Line Chart Samples"],
    ['simpleline.pl', "Simple Line Chart", 1],
    ['enhancedline.pl', "Enhanced Line Chart", 1],
    ['threedline.pl', "3D Line Chart", 1],
    ['multiline.pl', "Multiline Chart", 1],
    ['symbolline.pl', "Symbol Line Chart", 1],
    ['splineline.pl', "Spline Line Chart", 1],
    ['stepline.pl', "Step Line Chart", 1],
    ['linecompare.pl', "Line Comparison", 1],
    ['errline.pl', "Line with Error Symbols", 1],
    ['customsymbolline.pl', "Custom Symbols", 1],
    ['rotatedline.pl', "Rotated Line Chart", 1],
    ['xyline.pl', "Arbitrary XY Line Chart", 1],
    ['discontline.pl', "Discontinuous Lines", 1],
    ['', ""],
    ['', "Trending and Curve Fitting"],
    ['trendline.pl', "Trend Line Chart", 1],
    ['scattertrend.pl', "Scatter Trend Chart", 1],
    ['confidenceband.pl', "Confidence Band", 1],
    ['curvefitting.pl', "General Curve Fitting", 1],
    ['', ""],
    ['', "Scatter/Bubble Charts"],
    ['scatter.pl', "Scatter Chart", 1],
    ['scattersymbols.pl', "Custom Scatter Symbols", 1],
    ['scatterlabels.pl', "Custom Scatter Labels", 1],
    ['bubble.pl', "Bubble Chart", 1],
    ['bubblescale.pl', "Bubble XY Scaling", 1],
    ['', ""],
    ['', "Area Chart Samples"],
    ['simplearea.pl', "Simple Area Chart", 1],
    ['enhancedarea.pl', "Enhanced Area Chart", 1],
    ['threedarea.pl', "3D Area Chart", 1],
    ['patternarea.pl', "Pattern Area Chart", 1],
    ['stackedarea.pl', "Stacked Area Chart", 1],
    ['threedstackarea.pl', "3D Stacked Area Chart", 1],
    ['percentarea.pl', "Percentage Area Chart", 1],
    ['deptharea.pl', "Depth Area Chart", 1],
    ['rotatedarea.pl', "Rotated Area Chart", 1],
    ['', ""],
    ['', "Box Whisker Charts"],
    ['boxwhisker.pl', "Box Whisker Chart", 1],
    ['boxwhisker2.pl', "Box Whisker Chart (2)", 1],
    ['gantt.pl', "Simple Gantt Chart", 1],
    ['', ""],
    ['', "Finance Charts"],
    ['hloc.pl', "Simple HLOC Chart", 1],
    ['candlestick.pl', "Simple Candlestick Chart", 1],
    ['finance.pl', "Finance Chart (1)", 1],
    ['finance2.pl', "Finance Chart (2)", 1],
    ['', ""],
    ['', "Other XY Chart Features"],
    ['markzone.pl', "Marks and Zones", 1],
    ['markzone2.pl', "Marks and Zones (2)", 1],
    ['yzonecolor.pl', "Y Zone Coloring", 1],
    ['xzonecolor.pl', "X Zone Coloring", 1],
    ['dualyaxis.pl', "Dual Y-Axis", 1],
    ['dualxaxis.pl', "Dual X-Axis", 1],
    ['fontxy.pl', "Text Style and Colors", 1],
    ['background.pl', "Background and Wallpaper", 4],
    ['logaxis.pl', "Log Scale Axis", 2],
    ['axisscale.pl', "Y-Axis Scaling", 5],
    ['ticks.pl', "Tick Density", 2],
    ['', ""],
    ['', "Polar Charts"],
    ['simpleradar.pl', "Simple Radar Chart", 1],
    ['multiradar.pl', "Multi Radar Chart", 1],
    ['polarline.pl', "Polar Line Chart", 1],
    ['polarspline.pl', "Polar Spline Chart", 1],
    ['polarscatter.pl', "Polar Scatter Chart", 1],
    ['polarbubble.pl', "Polar Bubble Chart", 1],
    ['polarzones.pl', "Polar Zones", 1],
    ['', ""],
    ['', "Clickable Charts"],
    ['clickbar.pl', "Simple Clickable Charts", 0],
    ['jsarea.pl', "Javascript Clickable Charts", 0],
    ['customclick.pl', "Custom Clickable Objects", 0],
    ['', ""],
    ['', "Working With Database"],
    ['dbdemo1.pl', "Database Integration (1)", 0],
    ['dbdemo2.pl', "Database Integration (2)", 0],
    ['dbdemo3.pl', "Database Clickable Charts", 0],
    ];
function setChart(c)
{
    var doc = top.indexright.document;
    doc.open();
    doc.writeln('<body topmargin="5" leftmargin="5" rightmargin="0" marginwidth="5" marginheight="5">');
    doc.writeln('<div style="font-size:18pt; font-family:verdana; font-weight:bold">' + charts[c][1] + '</div><hr color="#000080">');
    doc.writeln('<a href="viewsource.pl?file=' + charts[c][0] + '"><font size="2" face="Verdana">View Chart Source Code</font></a>');
    doc.writeln('<p>');
    for (var i = 0; i < charts[c][2]; ++i)
        doc.writeln('<img src="' + charts[c][0] + '?img=' + i + '">');

    doc.writeln('</p>');
    doc.writeln('</body>');
    doc.close();
}
</script>
<head>
<style type="text/css">
p.demotitle {margin-top:0; margin-bottom:0; padding-left:3; font-family:verdana; font-weight:bold; font-size:9pt; line-height:140%;}
p.demolink {margin-top:0; margin-bottom:0; padding-left:3; padding-top:2; padding-bottom:1; font-family:verdana; font-size:8pt;}
</style>
<body topmargin="0" leftmargin="0" rightmargin="0" marginwidth="0" marginheight="0">
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="font-family:verdana; font-size:8pt;">
<script language="Javascript">
for (var c in charts)
{
    if (charts[c][1] == "")
        document.writeln('<tr><td><p class="demolink">&nbsp;</p></td></tr>');
    if (charts[c][0] == "")
        document.writeln('<tr><td colspan="2" bgcolor="#9999FF"><p class="demotitle">' + charts[c][1] + '</p></td></tr>');
    else if (charts[c][2] != 0)
        document.writeln('<tr valign="top"><td><p class="demolink">&#8226;</p></td><td><p class="demolink"><a href="javascript:;" onclick="setChart(\\'' + c + '\\');">' + charts[c][1] + '</a></p></td></tr>');
    else
        document.writeln('<tr valign="top"><td><p class="demolink">&#8226;</p></td><td><p class="demolink"><a href="' + charts[c][0] + '" target="indexright">' + charts[c][1] + '</a></p></td></tr>');
}
</script>
</table>
</body>
</html>
EndOfHTML
;
