#!/usr/bin/perl

#standard code to parse HTTP query parameters
my %query = map {my($k,$v) = split(/=/)} split(/&/, $ENV{"QUERY_STRING"});

print "Content-type: text/html\n\n";
print <<EndOfHTML
<html>
<body>
<h1>Simple Clickable XY Chart Handler</h1>
<p><a href="viewsource.pl?file=$ENV{"SCRIPT_NAME"}">
View Source Code
</a></p>

<p><b>You have clicked on the following chart element :</b></p>
<ul>
    <li>Data Set : $query{"dataSetName"}</li>
    <li>X Position : $query{"x"}</li>
    <li>X Label : $query{"xLabel"}</li>
    <li>Data Value : $query{"value"}</li>
</ul>
</body>
</html>
EndOfHTML
;
